# Generated by Django 4.0 on 2022-09-23 13:00

from django.db import migrations


def forwards(apps, schema_editor):
    ImageAnnotation = apps.get_model("codex", "ImageAnnotation")
    for annot in ImageAnnotation.objects.all():
        category = annot.term.category
        if category is not None:
            annot.category = category
            annot.save()


def backward(apps, schema_editor):
    ImageAnnotation = apps.get_model("codex", "ImageAnnotation")
    for annot in ImageAnnotation.objects.all():
        annot.category = None
        annot.save()


class Migration(migrations.Migration):

    dependencies = [
        ("codex", "0022_imageannotation_category"),
    ]

    operations = [
        migrations.RunPython(forwards, backward),
    ]
